import axios from '../../lib/axios'

const headers = {
	headers: { 'Content-Type': 'multipart/form-data' },
}

export const PersyaratanList = async (data) => {
	const response = await axios.post('persyaratan/list', data, headers)
	return response.data
}

export const PersyaratanGetOne = async (data) => {
	const response = await axios.post('persyaratan/get', data, headers)
	return response.data
}

export const PersyaratanUpdate = async (data) => {
	const response = await axios.post('persyaratan/update', data, headers)
	return response.data
}

export const PersyaratanCreate = async (data) => {
	const response = await axios.post('persyaratan/create', data, { headers: { 'Content-Type': 'application/json' } })
	return response.data
}

export const PersyaratanDelete = async (data) => {
	const response = await axios.post('persyaratan/delete', data, headers)
	return response.data
}

export const PersyaratanSearch = async (data) => {
	const response = await axios.post('persyaratan/search', data, headers)
	return response.data
}
